LibreOffice: TextDocumentView Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
TextDocumentView Service Referencepublished

specifies the view of a TextDocument. More...

Inheritance diagram for TextDocumentView:

## Included Services
service | com::sun::star::view::OfficeDocumentView

## Exported Interfaces
interface | com::sun::star::view::XViewSettingsSupplier
| This interface permits access to the properties of the view.
interface | com::sun::star::text::XTextViewCursorSupplier
| This interface makes it possible to access the cursor which belongs to the view and can be visible for the user.
interface | com::sun::star::beans::XPropertySet
| Gives access to the objects properties.
Exported Interfaces inherited from OfficeDocumentView
interface | com::sun::star::view::XSelectionSupplier
| This mandatory interface gives access to the current user selection within this office document view.
interface | com::sun::star::view::XViewSettingsSupplier
| This optional interface gives access to the view properties within this control for an office document.
interface | com::sun::star::view::XControlAccess
| Within this office document view, this optional interface gives access to the controls which belong to specified control models.

## Public Attributes
long | PageCount
| returns the number of pages in the document
long | LineCount
| returns the number of lines in the document
boolean | IsConstantSpellcheck
| specifies if spell checking should be done while typing.
boolean | IsHideSpellMarks
| specifies if the marks for misspelled text should be displayed.

## Additional Inherited Members
Public Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XTextViewCursorSupplier
com::sun::star::text::XTextViewCursor | getViewCursor ()
Protected Member Functions inherited from XViewSettingsSupplier
com::sun::star::beans::XPropertySet | getViewSettings ()
Protected Member Functions inherited from XControlAccess
com::sun::star::awt::XControl | getControl ([in] com::sun::star::awt::XControlModel xModel) raises ( com::sun::star::container::NoSuchElementException )
| is called to get the control from the specified control model.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

specifies the view of a TextDocument.

Developers Guide
  Office Development - Component - Controllers - Document Specific Controller Services

## Exported Interfaces

## ◆ com::sun::star::view::OfficeDocumentView

service com::sun::star::view::OfficeDocumentView

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet
| optional

Gives access to the objects properties.

Since
  OOo 2.0

## ◆ com::sun::star::text::XTextViewCursorSupplier

interface com::sun::star::text::XTextViewCursorSupplier

This interface makes it possible to access the cursor which belongs to the view and can be visible for the user.

## ◆ com::sun::star::view::XViewSettingsSupplier

interface com::sun::star::view::XViewSettingsSupplier

This interface permits access to the properties of the view.

## Member Data Documentation

## ◆ IsConstantSpellcheck

boolean IsConstantSpellcheck
| optionalproperty

specifies if spell checking should be done while typing.

Since
  OOo 2.0

## ◆ IsHideSpellMarks

boolean IsHideSpellMarks
| optionalproperty

specifies if the marks for misspelled text should be displayed.

Since
  OOo 2.0

## ◆ LineCount

long LineCount
| optionalpropertyreadonly

returns the number of lines in the document

Since the document needs to be formatted to get the result obtaining this value may take some time.

Empty paragraphs are not counted.

Since
  OOo 2.0

## ◆ PageCount

long PageCount
| optionalpropertyreadonly

returns the number of pages in the document

Since the document needs to be formatted to get the result obtaining this value may take some time.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/text/TextDocumentView.idl